package com.securitycontrol.system.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.system.dto.DictDto;
import com.securitycontrol.entity.system.vo.DictVo;

import java.util.List;

/**
 * 字典管理
 *
 * @author HeiZi
 */
public interface DictService {
    /**
     * 查询字典集合
     * 通过trer 集合模式
     *
     * @param dto
     * @return
     */
    Result<List<DictVo>> getDictList(DictDto dto);

    /**
     * 新增 字典管理
     *
     * @param dto
     * @return
     */
    Result<String> addDict(DictVo dto);

    /**
     * 修改字典数据
     *
     * @param dto
     * @return
     */
    Result<String> updateDict(DictVo dto);

    /**
     * 删除字典数据
     *
     * @param dto
     * @return
     */
    Result<String> delDict(DictDto dto);

    /**
     * 查询字典数据详情
     *
     * @param id
     * @return
     */
    Result<DictVo> getDetails(String id);
}
